Loading...
Searching...
No Matches
GeisFilter Class Reference
The Simplified GEIS Interface » Gesture Types » Gesture Primitives » Standard Gesture Types » Vendor Extension Gesture Types » Initialization and Cleanup » Configuration and Control | The Advanced GEIS Interface » The Geis API Object » Error Reporting » Configuration » Input Devices » Gesture Subscription » Attributes » Event Control » Input Devices » Gesture Classes » Gesture Regions » Gesture Filter

Selects a subset of possible gestures in a subscription. More...

`#include <geis.h>`

## Public Member Functions

Region Initialization Arguments

  Gesture regions are created to describe a particular display/feedback region. The type of the region can not be changed after creation (just create a new region for that). The types of regions are platform specific and each type may require addition arguments.

  The following region initialization argument names are required by the GEIS v2.0 specification.

GeisFilter | geis_filter_new (Geis geis, GeisString name)
| Creates a new, empty filter.
GeisFilter | geis_filter_clone (GeisFilter original, GeisString name)
| Creates a new filter by copying an existing filter.
GeisStatus | geis_filter_delete (GeisFilter filter)
| Destroys a GeisFilter.
GeisString | geis_filter_name (GeisFilter filter)
| Gets the name given to the filter when it was created.
GEIS_VARARG GeisStatus | geis_filter_add_term (GeisFilter filter, GeisFilterFacility facility,...)
| Adds a term to a filter.

## Detailed Description

Selects a subset of possible gestures in a subscription.

A GeisFilter is a collection of filter terms, each of which defines a criterion for selection of gestures returned on a subscription.

All filter terms are effectively ANDed together in a filter.

Examples
  geis2.c.

The documentation for this class was generated from the following file:

- /build/geis-Y0ruej/geis-2.2.17+16.04.20160126/include/geis/geis.h